"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.argCitySchema = void 0;
const zod_1 = __importDefault(require("zod"));
exports.argCitySchema = zod_1.default.object({
    id: zod_1.default.string(),
    name: zod_1.default.string(),
    state: zod_1.default.object({
        id: zod_1.default.string(),
        name: zod_1.default.string(),
    }),
    department: zod_1.default.object({
        id: zod_1.default.string(),
        name: zod_1.default.string(),
    }),
    municipality: zod_1.default.object({
        id: zod_1.default.string(),
        name: zod_1.default.string(),
    }),
    censusLocality: zod_1.default.object({
        id: zod_1.default.string(),
        name: zod_1.default.string(),
    }),
    category: zod_1.default.string(),
    centroid: zod_1.default.object({
        lon: zod_1.default.number(),
        lat: zod_1.default.number(),
    }),
});
//# sourceMappingURL=arg-city.dto.js.map