import { z } from 'zod';
export declare const cannedResponseSchema: z.ZodObject<{
    id: z.ZodString;
    name: z.ZodString;
    content: z.ZodString;
    created_at: z.ZodDate;
    updated_at: z.ZodDate;
}, "strip", z.ZodTypeAny, {
    id: string;
    name: string;
    content: string;
    created_at: Date;
    updated_at: Date;
}, {
    id: string;
    name: string;
    content: string;
    created_at: Date;
    updated_at: Date;
}>;
declare const CannedResponseDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<z.ZodObject<{
    id: z.ZodString;
    name: z.ZodString;
    content: z.ZodString;
    created_at: z.ZodString;
    updated_at: z.ZodString;
}, z.UnknownKeysParam, z.ZodTypeAny, {
    id: string;
    name: string;
    content: string;
    created_at: string;
    updated_at: string;
}, {
    id: string;
    name: string;
    content: string;
    created_at: string;
    updated_at: string;
}>>;
export declare class CannedResponseDto extends CannedResponseDto_base {
}
export {};
