"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetAllEventFolderResponseDto = exports.getAllEventFolderResponseSchema = void 0;
const event_dto_1 = require("../../event/dto/event.dto");
const create_zod_dto_without_date_1 = require("../../shared/dto-modification/create-zod-dto-without-date");
const zod_1 = __importDefault(require("zod"));
const event_folder_dto_1 = require("./event-folder.dto");
exports.getAllEventFolderResponseSchema = zod_1.default.object({
    eventFolders: zod_1.default.array(event_folder_dto_1.eventFolderSchema.merge(zod_1.default.object({
        events: zod_1.default.array(event_dto_1.eventSchema),
    }))),
});
class GetAllEventFolderResponseDto extends (0, create_zod_dto_without_date_1.createZodDtoWithoutDate)(exports.getAllEventFolderResponseSchema) {
}
exports.GetAllEventFolderResponseDto = GetAllEventFolderResponseDto;
//# sourceMappingURL=get-all-event-folder.dto.js.map