"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.translate = exports.i18n = void 0;
const i18n_js_1 = require("i18n-js");
const es_1 = __importDefault(require("./es"));
const translations = {
    es: es_1.default,
};
exports.i18n = new i18n_js_1.I18n(translations, {
    defaultLocale: 'es',
    locale: 'es',
    missingTranslationPrefix: 'TRANSLATION MISSING: ',
});
function translate(key, params) {
    return exports.i18n.t(key, params);
}
exports.translate = translate;
//# sourceMappingURL=translate.js.map