import z from 'zod';
export declare const locationSchema: z.ZodObject<{
    id: z.ZodString;
    latitude: z.ZodNumber;
    longitude: z.ZodNumber;
    country: z.ZodString;
    state: z.ZodString;
    city: z.ZodString;
    created_at: z.ZodDate;
    updated_at: z.ZodDate;
}, "strip", z.ZodTypeAny, {
    id: string;
    latitude: number;
    longitude: number;
    created_at: Date;
    updated_at: Date;
    state: string;
    country: string;
    city: string;
}, {
    id: string;
    latitude: number;
    longitude: number;
    created_at: Date;
    updated_at: Date;
    state: string;
    country: string;
    city: string;
}>;
