"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateTagGroupResponseDto = exports.createTagGroupResponseSchema = exports.CreateTagGroupDto = exports.createTagGroupSchema = void 0;
const create_zod_dto_without_date_1 = require("../../shared/dto-modification/create-zod-dto-without-date");
const tag_group_dto_1 = require("./tag-group.dto");
exports.createTagGroupSchema = tag_group_dto_1.tagGroupSchema.pick({
    color: true,
    name: true,
    isExclusive: true,
});
class CreateTagGroupDto extends (0, create_zod_dto_without_date_1.createZodDtoWithoutDate)(exports.createTagGroupSchema) {
}
exports.CreateTagGroupDto = CreateTagGroupDto;
exports.createTagGroupResponseSchema = tag_group_dto_1.tagGroupSchema;
class CreateTagGroupResponseDto extends (0, create_zod_dto_without_date_1.createZodDtoWithoutDate)(exports.createTagGroupResponseSchema) {
}
exports.CreateTagGroupResponseDto = CreateTagGroupResponseDto;
//# sourceMappingURL=create-tag-group.dto.js.map