"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FindOneTagGroupResponseDto = exports.findOneTagGroupResponseSchema = void 0;
const create_zod_dto_without_date_1 = require("../../shared/dto-modification/create-zod-dto-without-date");
const tag_group_dto_1 = require("./tag-group.dto");
const tag_dto_1 = require("../../tag/dto/tag.dto");
const zod_1 = __importDefault(require("zod"));
exports.findOneTagGroupResponseSchema = tag_group_dto_1.tagGroupSchema.merge(zod_1.default.object({
    tags: zod_1.default.array(tag_dto_1.tagSchema),
}));
class FindOneTagGroupResponseDto extends (0, create_zod_dto_without_date_1.createZodDtoWithoutDate)(exports.findOneTagGroupResponseSchema) {
}
exports.FindOneTagGroupResponseDto = FindOneTagGroupResponseDto;
//# sourceMappingURL=find-one-tag-group.dto.js.map