"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UpdateTagGroupResponseDto = exports.updateTagGroupResponseSchema = exports.UpdateTagGroupDto = exports.updateTagGroupSchema = void 0;
const create_zod_dto_without_date_1 = require("../../shared/dto-modification/create-zod-dto-without-date");
const tag_group_dto_1 = require("./tag-group.dto");
exports.updateTagGroupSchema = tag_group_dto_1.tagGroupSchema.pick({
    name: true,
    color: true,
    isExclusive: true,
});
class UpdateTagGroupDto extends (0, create_zod_dto_without_date_1.createZodDtoWithoutDate)(exports.updateTagGroupSchema) {
}
exports.UpdateTagGroupDto = UpdateTagGroupDto;
exports.updateTagGroupResponseSchema = tag_group_dto_1.tagGroupSchema;
class UpdateTagGroupResponseDto extends (0, create_zod_dto_without_date_1.createZodDtoWithoutDate)(exports.updateTagGroupResponseSchema) {
}
exports.UpdateTagGroupResponseDto = UpdateTagGroupResponseDto;
//# sourceMappingURL=update-tag-group.dto.js.map