export declare const updateTagSchema: import("zod").ZodObject<Pick<{
    id: import("zod").ZodString;
    name: import("zod").ZodString;
    groupId: import("zod").ZodString;
    type: import("zod").ZodNativeEnum<{
        PROFILE: "PROFILE";
        EVENT: "EVENT";
        PARTICIPANT: "PARTICIPANT";
        NOT_IN_SYSTEM: "NOT_IN_SYSTEM";
    }>;
    created_at: import("zod").ZodDate;
    updated_at: import("zod").ZodDate;
}, "name" | "groupId">, "strip", import("zod").ZodTypeAny, {
    name: string;
    groupId: string;
}, {
    name: string;
    groupId: string;
}>;
declare const UpdateTagDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<import("zod").ZodObject<{
    name: import("zod").ZodString;
    groupId: import("zod").ZodString;
}, import("zod").UnknownKeysParam, import("zod").ZodTypeAny, {
    name: string;
    groupId: string;
}, {
    name: string;
    groupId: string;
}>>;
export declare class UpdateTagDto extends UpdateTagDto_base {
}
export declare const updateTagResponseSchema: import("zod").ZodObject<{
    id: import("zod").ZodString;
    name: import("zod").ZodString;
    groupId: import("zod").ZodString;
    type: import("zod").ZodNativeEnum<{
        PROFILE: "PROFILE";
        EVENT: "EVENT";
        PARTICIPANT: "PARTICIPANT";
        NOT_IN_SYSTEM: "NOT_IN_SYSTEM";
    }>;
    created_at: import("zod").ZodDate;
    updated_at: import("zod").ZodDate;
}, "strip", import("zod").ZodTypeAny, {
    id: string;
    name: string;
    type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
    created_at: Date;
    updated_at: Date;
    groupId: string;
}, {
    id: string;
    name: string;
    type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
    created_at: Date;
    updated_at: Date;
    groupId: string;
}>;
declare const UpdateTagResponseDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<import("zod").ZodObject<{
    id: import("zod").ZodString;
    name: import("zod").ZodString;
    groupId: import("zod").ZodString;
    type: import("zod").ZodNativeEnum<{
        PROFILE: "PROFILE";
        EVENT: "EVENT";
        PARTICIPANT: "PARTICIPANT";
        NOT_IN_SYSTEM: "NOT_IN_SYSTEM";
    }>;
    created_at: import("zod").ZodString;
    updated_at: import("zod").ZodString;
}, import("zod").UnknownKeysParam, import("zod").ZodTypeAny, {
    id: string;
    name: string;
    type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
    created_at: string;
    updated_at: string;
    groupId: string;
}, {
    id: string;
    name: string;
    type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
    created_at: string;
    updated_at: string;
    groupId: string;
}>>;
export declare class UpdateTagResponseDto extends UpdateTagResponseDto_base {
}
export {};
